WNafL2RMultiplier (Bouncy Castle Library 1.52 API Specification)
Date: 2015-03-01

org.bouncycastle.math.ec

## Class WNafL2RMultiplier

- java.lang.Object
- - org.bouncycastle.math.ec.AbstractECMultiplier
  - - org.bouncycastle.math.ec.WNafL2RMultiplier

- All Implemented Interfaces:
    ECMultiplier

      public class WNafL2RMultiplier
      extends AbstractECMultiplier

  Class implementing the WNAF (Window Non-Adjacent Form) multiplication algorithm.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `WNafL2RMultiplier()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected int` | `getWindowSize(int bits)` Determine window width to use for a scalar multiplication of the given size.
    `protected ECPoint` | `multiplyPositive(ECPoint p, java.math.BigInteger k)` Multiplies `this` by an integer `k` using the Window NAF method.

    - ### Methods inherited from class org.bouncycastle.math.ec.AbstractECMultiplier

      `multiply`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WNafL2RMultiplier

          public WNafL2RMultiplier()

  - ### Method Detail

    - #### multiplyPositive

          protected ECPoint multiplyPositive(ECPoint p,
                                 java.math.BigInteger k)

      Multiplies `this` by an integer `k` using the Window NAF method.
      Specified by:
        `multiplyPositive` in class `AbstractECMultiplier`
      Parameters:
        `k` - The integer by which `this` is multiplied.
      Returns:
        A new `ECPoint` which equals `this` multiplied by `k`.

    - #### getWindowSize

          protected int getWindowSize(int bits)

      Determine window width to use for a scalar multiplication of the given size.
      Parameters:
        `bits` - the bit-length of the scalar to multiply by
      Returns:
        the window size to use